<?php

namespace DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\ProductTypes;

class SingleProductTypeValidator implements ProductTypeValidator
{
    private array $allowed_rules = [];
    public function __construct(array $allowed_rules)
    {
        $this->allowed_rules = $allowed_rules;
    }
    public function is_product_type_valid(ProductType $product_type): bool
    {
        return \array_key_exists($product_type->get_type(), $this->allowed_rules);
    }
}
